X2Go Bug report logs - #402
Numlock issues

version graph

Package: x2gomatebindings; Maintainer for x2gomatebindings is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gomatebindings is src:x2gomatebindings.

Reported by: jordi@amospalla.es

Date: Fri, 17 Jan 2014 11:05:02 UTC

Severity: normal

Tags: moreinfo

Found in version 0.0.1.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#402; Package x2goserver. (Fri, 17 Jan 2014 11:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to jordi@amospalla.es:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 17 Jan 2014 11:05:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: jordi@amospalla.es
To: submit@bugs.x2go.org
Subject: Numlock issues
Date: Fri, 17 Jan 2014 12:01:11 +0100
Package: x2goserver
Version: 4.0.1.12-0x2go2+git20140108.809+wheezy.main.1

Hello, numlock does not behave correctly. It behaves like if it was
randomly and continuously toggling it state.

Happens when numlock key is pressed, and after some time, it seems to
stabilize in some state (on or off), but it can take some time.

Happens on Mate 1.6 desktop environment over Debian 6. No problem on same
host with a KDE session.

If numlock state is modified with numlockx binary, it works as expected,
only the key triggers this.

user@host:~$ while numlockx status; do sleep 0.1; done
Numlock is off
Numlock is off
Numlock is on
Numlock is on
Numlock is off
Numlock is on
Numlock is off
Numlock is on
Numlock is off
Numlock is on
Numlock is off
Numlock is off
Numlock is on
Numlock is on
Numlock is off
Numlock is on
Numlock is on
...

Standard output of xev, after typing on it "test" and numlock key:
http://paste.debian.net/76762/


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#402; Package x2goserver. (Fri, 17 Jan 2014 12:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to jordi@amospalla.es:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 17 Jan 2014 12:05:02 GMT) Full text and rfc822 format available.

Message #10 received at 402@bugs.x2go.org (full text, mbox):

From: jordi@amospalla.es
To: jordi@amospalla.es, 402@bugs.x2go.org, x2go-dev@lists.berlios.de
Subject: Re: [X2Go-Dev] Bug#402: Numlock issues
Date: Fri, 17 Jan 2014 12:56:16 +0100
> Package: x2goserver
> Version: 4.0.1.12-0x2go2+git20140108.809+wheezy.main.1
>
> Hello, numlock does not behave correctly. It behaves like if it was
> randomly and continuously toggling it state.
>
> Happens when numlock key is pressed, and after some time, it seems to
> stabilize in some state (on or off), but it can take some time.
>
> Happens on Mate 1.6 desktop environment over Debian 6. No problem on same
> host with a KDE session.
>
> If numlock state is modified with numlockx binary, it works as expected,
> only the key triggers this.
>
> user@host:~$ while numlockx status; do sleep 0.1; done
> Numlock is off
> Numlock is off
> Numlock is on
> Numlock is on
> Numlock is off
> Numlock is on
> Numlock is off
> Numlock is on
> Numlock is off
> Numlock is on
> Numlock is off
> Numlock is off
> Numlock is on
> Numlock is on
> Numlock is off
> Numlock is on
> Numlock is on
> ...
>

Forgot to comment that same happens with pyhoca-gui.

Current workaround I'm using is executing "numlockx on" at user session
startup, because by default it is set to off and user presses numlock key
when starts to work.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#402; Package x2goserver. (Thu, 30 Jan 2014 08:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to jordi@amospalla.es:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 30 Jan 2014 08:50:01 GMT) Full text and rfc822 format available.

Message #15 received at 402@bugs.x2go.org (full text, mbox):

From: jordi@amospalla.es
To: jordi@amospalla.es, 402@bugs.x2go.org, x2go-dev@lists.berlios.de
Subject: Re: [X2Go-Dev] Bug#402: Numlock issues
Date: Thu, 30 Jan 2014 09:46:04 +0100
> Package: x2goserver
> Version: 4.0.1.12-0x2go2+git20140108.809+wheezy.main.1
>
> Hello, numlock does not behave correctly. It behaves like if it was
> randomly and continuously toggling it state.
>
> Happens when numlock key is pressed, and after some time, it seems to
> stabilize in some state (on or off), but it can take some time.
>
> Happens on Mate 1.6 desktop environment over Debian 6. No problem on same
> host with a KDE session.
>
> If numlock state is modified with numlockx binary, it works as expected,
> only the key triggers this.
>
> user@host:~$ while numlockx status; do sleep 0.1; done
> Numlock is off
> Numlock is off
> Numlock is on
> Numlock is on
> Numlock is off
> Numlock is on
> Numlock is off
> Numlock is on
> Numlock is off
> Numlock is on
> Numlock is off
> Numlock is off
> Numlock is on
> Numlock is on
> Numlock is off
> Numlock is on
> Numlock is on
> ...

Found that the Mate setting which makes numlock state change at a very
high rate can be disabled by:
  gsettings set org.mate.peripherals-keyboard remember-numlock-state false

Still, users notify me that numlock change randomly. I did monitor
numlock status with "numlockx status" command, and I can see it do
change but very intermitently.

I first monitored numlock status and actively changed it to on with a
script.

Lately, I added to the keyboard options, the equivalent to "setxkbmap -o
numpad:mac", which can be added to
/org/mate/desktop/peripherals/keyboard/kbd/options with
'compat\tnumpad:mac'

Here is a dirty script, which every user runs at session startup:

---------------%-----------------%------------------%------------------
#!/bin/bash
tab="$(printf "\t")"
cadena=( $(dconf read /org/mate/desktop/peripherals/keyboard/kbd/options |
sed -e 's/.*\[\|\]//g') )
for (( i=0;i<${#cadena[@]};i++ )); do
	# esborrar '[', ']' i ','
	cadena[$i]="$(printf "${cadena[$i]}" | sed -e 's/,//g')"
done
if ! echo ${cadena[@]} | grep -q 'compat\snumpad:mac'; then
	for (( i=0;i<${#cadena[@]};i++ )); do
		nova="$nova ${cadena[$i]},"
	done
	nova="$nova 'compat${tab}numpad:mac'"
	dconf write /org/mate/desktop/peripherals/keyboard/kbd/options "[ $nova ]"
fi
gsettings set org.mate.peripherals-keyboard numlock-state          'on'
---------------%-----------------%------------------%------------------



Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#402; Package x2goserver. (Fri, 31 Jan 2014 12:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 31 Jan 2014 12:40:01 GMT) Full text and rfc822 format available.

Message #20 received at 402@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 402@bugs.x2go.org
Subject: Re: Numlock issues
Date: Fri, 31 Jan 2014 12:39:30 +0000
[Message part 1 (text/plain, inline)]
Control: reassign -1 x2gomatebindings
Control: found -1 0.0.1.1

On  Do 30 Jan 2014 09:46:04 CET, jordi wrote:

>> Package: x2goserver
>> Version: 4.0.1.12-0x2go2+git20140108.809+wheezy.main.1
>> [...]
> [...]

We have to fix this in x2gomatebindings. So reassigning this bug.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'x2goserver' to 'x2gomatebindings'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 402-submit@bugs.x2go.org. (Fri, 31 Jan 2014 12:40:01 GMT) Full text and rfc822 format available.

No longer marked as found in versions 4.0.1.12-0x2go2+git20140108.809+wheezy.main.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 402-submit@bugs.x2go.org. (Fri, 31 Jan 2014 12:40:01 GMT) Full text and rfc822 format available.

Marked as found in versions 0.0.1.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 402-submit@bugs.x2go.org. (Fri, 31 Jan 2014 12:40:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#402; Package x2gomatebindings. (Wed, 02 Apr 2014 13:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 02 Apr 2014 13:05:02 GMT) Full text and rfc822 format available.

Message #31 received at 402@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: jordi@amospalla.es, 402@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#402: Bug#402: Numlock issues
Date: Wed, 02 Apr 2014 13:00:29 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 moreinfo

Hi Jordi,

On  Do 30 Jan 2014 09:46:04 CET, jordi wrote:

>> Package: x2goserver
>> Version: 4.0.1.12-0x2go2+git20140108.809+wheezy.main.1
>>
>> Hello, numlock does not behave correctly. It behaves like if it was
>> randomly and continuously toggling it state.
>>
>> Happens when numlock key is pressed, and after some time, it seems to
>> stabilize in some state (on or off), but it can take some time.
>>
>> Happens on Mate 1.6 desktop environment over Debian 6. No problem on same
>> host with a KDE session.
>>
>> If numlock state is modified with numlockx binary, it works as expected,
>> only the key triggers this.
>>
>> user@host:~$ while numlockx status; do sleep 0.1; done
>> Numlock is off
>> Numlock is off
>> Numlock is on
>> Numlock is on
>> Numlock is off
>> Numlock is on
>> Numlock is off
>> Numlock is on
>> Numlock is off
>> Numlock is on
>> Numlock is off
>> Numlock is off
>> Numlock is on
>> Numlock is on
>> Numlock is off
>> Numlock is on
>> Numlock is on
>> ...
>
> Found that the Mate setting which makes numlock state change at a very
> high rate can be disabled by:
>   gsettings set org.mate.peripherals-keyboard remember-numlock-state false
>
> Still, users notify me that numlock change randomly. I did monitor
> numlock status with "numlockx status" command, and I can see it do
> change but very intermitently.
>
> I first monitored numlock status and actively changed it to on with a
> script.
>
> Lately, I added to the keyboard options, the equivalent to "setxkbmap -o
> numpad:mac", which can be added to
> /org/mate/desktop/peripherals/keyboard/kbd/options with
> 'compat\tnumpad:mac'
>
> Here is a dirty script, which every user runs at session startup:
>
> ---------------%-----------------%------------------%------------------
> #!/bin/bash
> tab="$(printf "\t")"
> cadena=( $(dconf read /org/mate/desktop/peripherals/keyboard/kbd/options |
> sed -e 's/.*\[\|\]//g') )
> for (( i=0;i<${#cadena[@]};i++ )); do
> 	# esborrar '[', ']' i ','
> 	cadena[$i]="$(printf "${cadena[$i]}" | sed -e 's/,//g')"
> done
> if ! echo ${cadena[@]} | grep -q 'compat\snumpad:mac'; then
> 	for (( i=0;i<${#cadena[@]};i++ )); do
> 		nova="$nova ${cadena[$i]},"
> 	done
> 	nova="$nova 'compat${tab}numpad:mac'"
> 	dconf write /org/mate/desktop/peripherals/keyboard/kbd/options "[ $nova ]"
> fi
> gsettings set org.mate.peripherals-keyboard numlock-state          'on'
> ---------------%-----------------%------------------%------------------

I would like to get this fixed before the next release of x2gomatebindings.

Do you think you could write a patch?

Here is an example for a possible approach:
http://code.x2go.org/gitweb?p=x2gomatebindings.git;a=blob;f=lib/x2go/extensions/pre-runcommand.d/005_MATE-monitors-xml-ignore;h=2f77bed691529e5cbbb45e569e196667b5b004d1;hb=a1a6a572d81a49c376eaab875de8343b2781d638

Simply use the extension concept of X2Go Server to hook into there and  
execute code that is necessary.

The goal of such code should be that the Numlock settings are changed  
for X2Go (on session startup e.g.), but that local logins (of the same  
user) are not affected. If that is at all possible...

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 402-submit@bugs.x2go.org. (Wed, 02 Apr 2014 13:05:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#402; Package x2gomatebindings. (Thu, 10 Apr 2014 11:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 10 Apr 2014 11:30:02 GMT) Full text and rfc822 format available.

Message #38 received at 402@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: jordi@amospalla.es
Cc: 402@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#402: Bug#402: Numlock issues
Date: Thu, 10 Apr 2014 11:29:54 +0000
[Message part 1 (text/plain, inline)]
Hi Jordi,
(I am re-Cc:-ing #402 in our BTS, hope that's ok...)


On  Do 10 Apr 2014 12:03:02 CEST, jordi wrote:

>> Hi Jordi,
>>
>> On  Sa 05 Apr 2014 19:45:20 CEST, Jordi Marqués wrote:
>>
>>> Hello Mike, sorry for late answer.
>>>
>>> I have looked at it, so what you need is a simple bash script. I can
>>> do that. Could I write it and send it to you?
>>>
>>> If so, I think I can do it on monday.
>>>
>>> Jordi.
>>
>> Sure, send it to me.
>>
>> Make sure that X2Go session startup does not break local session
>> startup. So if you change something in pre-runcommand.d, make sure it
>> gets restored in post-runcommand.d.
>
> Hello Mike,
>
> sorry again for being late, I've got more work than I can handle.
>
> Please take a look at this post-runcommand.d http://paste.debian.net/92885/
> and this pre-runcommand.d: http://paste.debian.net/92886/ .
>
> I write to files to save the state of the two settings previous to being
> modified so I can restore it. I set a folder variable where I save those
> files. Would that be a correct way to work inside X2go? I set them to /tmp
> to test, please modify them accordingly to what would be the best value.
>
> Not directly related to this, I've played also with the reduced_resources
> variable, which set to true, disables completely windows animations, and
> makes window moving be done with a classic transparent line drawn box,
> instead of the real window image. I've applied to my users, if you find it
> interesting to try tell me to add it.

The approach is good. I have copied both scripts from paste.debian.net  
to my local working copy of x2gomatebindings. Thanks!

However, one thought:

With your proposed approach, the dconf/gsettings setup remains  
X2Go'ish for the duration of the X2Go Session.

It would be good, to make those settings and remove them immediately,  
after the session has successfully come up. I am not sure how MATE  
will behave if you launch the post-runcommand script 20 minutes after  
the session has come up.

And another thought...

Another approach actually is... Talking to MATE upstream and asking  
them to patch their code directly (i.e. ignore those settings / use  
pre-set value if MATE runs inside an X2Go session). I will talk to  
Stefano & co. about that (who is MATE upstream).

Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#402; Package x2gomatebindings. (Thu, 10 Apr 2014 14:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to jordi@amospalla.es:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 10 Apr 2014 14:00:02 GMT) Full text and rfc822 format available.

Message #43 received at 402@bugs.x2go.org (full text, mbox):

From: jordi@amospalla.es
To: "Mike Gabriel" <mike.gabriel@das-netzwerkteam.de>
Cc: 402@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#402: Bug#402: Numlock issues
Date: Thu, 10 Apr 2014 15:46:26 +0200
> Hi Jordi,
> (I am re-Cc:-ing #402 in our BTS, hope that's ok...)
>
>
> On  Do 10 Apr 2014 12:03:02 CEST, jordi wrote:
>
>>> Hi Jordi,
>>>
>>> On  Sa 05 Apr 2014 19:45:20 CEST, Jordi Marqués wrote:
>>>
>>>> Hello Mike, sorry for late answer.
>>>>
>>>> I have looked at it, so what you need is a simple bash script. I can
>>>> do that. Could I write it and send it to you?
>>>>
>>>> If so, I think I can do it on monday.
>>>>
>>>> Jordi.
>>>
>>> Sure, send it to me.
>>>
>>> Make sure that X2Go session startup does not break local session
>>> startup. So if you change something in pre-runcommand.d, make sure it
>>> gets restored in post-runcommand.d.
>>
>> Hello Mike,
>>
>> sorry again for being late, I've got more work than I can handle.
>>
>> Please take a look at this post-runcommand.d
>> http://paste.debian.net/92885/
>> and this pre-runcommand.d: http://paste.debian.net/92886/ .
>>
>> I write to files to save the state of the two settings previous to being
>> modified so I can restore it. I set a folder variable where I save those
>> files. Would that be a correct way to work inside X2go? I set them to
>> /tmp
>> to test, please modify them accordingly to what would be the best value.
>>
>> Not directly related to this, I've played also with the
>> reduced_resources
>> variable, which set to true, disables completely windows animations, and
>> makes window moving be done with a classic transparent line drawn box,
>> instead of the real window image. I've applied to my users, if you find
>> it
>> interesting to try tell me to add it.
>
> The approach is good. I have copied both scripts from paste.debian.net
> to my local working copy of x2gomatebindings. Thanks!
>
> However, one thought:
>
> With your proposed approach, the dconf/gsettings setup remains
> X2Go'ish for the duration of the X2Go Session.
> It would be good, to make those settings and remove them immediately,
> after the session has successfully come up. I am not sure how MATE
> will behave if you launch the post-runcommand script 20 minutes after
> the session has come up.
>
> And another thought...
>
> Another approach actually is... Talking to MATE upstream and asking
> them to patch their code directly (i.e. ignore those settings / use
> pre-set value if MATE runs inside an X2Go session). I will talk to
> Stefano & co. about that (who is MATE upstream).

I don't really know if these settings are session aware, but my impression
is that those are global settings for a user. If they are not and I can
modify the script please let me know!


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#402; Package x2gomatebindings. (Thu, 10 Apr 2014 17:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 10 Apr 2014 17:00:02 GMT) Full text and rfc822 format available.

Message #48 received at 402@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: jordi@amospalla.es
Cc: 402@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#402: Bug#402: Numlock issues
Date: Thu, 10 Apr 2014 16:57:45 +0000
[Message part 1 (text/plain, inline)]
Hi Jordi,

On  Do 10 Apr 2014 15:46:26 CEST, jordi wrote:

>> Hi Jordi,
>> (I am re-Cc:-ing #402 in our BTS, hope that's ok...)
>>
>>
>> On  Do 10 Apr 2014 12:03:02 CEST, jordi wrote:
>>
>>>> Hi Jordi,
>>>>
>>>> On  Sa 05 Apr 2014 19:45:20 CEST, Jordi Marqués wrote:
>>>>
>>>>> Hello Mike, sorry for late answer.
>>>>>
>>>>> I have looked at it, so what you need is a simple bash script. I can
>>>>> do that. Could I write it and send it to you?
>>>>>
>>>>> If so, I think I can do it on monday.
>>>>>
>>>>> Jordi.
>>>>
>>>> Sure, send it to me.
>>>>
>>>> Make sure that X2Go session startup does not break local session
>>>> startup. So if you change something in pre-runcommand.d, make sure it
>>>> gets restored in post-runcommand.d.
>>>
>>> Hello Mike,
>>>
>>> sorry again for being late, I've got more work than I can handle.
>>>
>>> Please take a look at this post-runcommand.d
>>> http://paste.debian.net/92885/
>>> and this pre-runcommand.d: http://paste.debian.net/92886/ .
>>>
>>> I write to files to save the state of the two settings previous to being
>>> modified so I can restore it. I set a folder variable where I save those
>>> files. Would that be a correct way to work inside X2go? I set them to
>>> /tmp
>>> to test, please modify them accordingly to what would be the best value.
>>>
>>> Not directly related to this, I've played also with the
>>> reduced_resources
>>> variable, which set to true, disables completely windows animations, and
>>> makes window moving be done with a classic transparent line drawn box,
>>> instead of the real window image. I've applied to my users, if you find
>>> it
>>> interesting to try tell me to add it.
>>
>> The approach is good. I have copied both scripts from paste.debian.net
>> to my local working copy of x2gomatebindings. Thanks!
>>
>> However, one thought:
>>
>> With your proposed approach, the dconf/gsettings setup remains
>> X2Go'ish for the duration of the X2Go Session.
>> It would be good, to make those settings and remove them immediately,
>> after the session has successfully come up. I am not sure how MATE
>> will behave if you launch the post-runcommand script 20 minutes after
>> the session has come up.
>>
>> And another thought...
>>
>> Another approach actually is... Talking to MATE upstream and asking
>> them to patch their code directly (i.e. ignore those settings / use
>> pre-set value if MATE runs inside an X2Go session). I will talk to
>> Stefano & co. about that (who is MATE upstream).
>
> I don't really know if these settings are session aware, but my impression
> is that those are global settings for a user. If they are not and I can
> modify the script please let me know!

My question is: if you run the pre-runcommand script just before  
session startup and then run the post-runcommand script right after  
session startup (not when the session is ended), are the settings then  
ok?

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#402; Package x2gomatebindings. (Fri, 11 Apr 2014 06:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to jordi@amospalla.es:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 11 Apr 2014 06:55:02 GMT) Full text and rfc822 format available.

Message #53 received at 402@bugs.x2go.org (full text, mbox):

From: jordi@amospalla.es
To: "Mike Gabriel" <mike.gabriel@das-netzwerkteam.de>
Cc: jordi@amospalla.es, 402@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#402: Bug#402: Numlock issues
Date: Fri, 11 Apr 2014 08:51:32 +0200
Hi mike!

> Hi Jordi,
>
> On  Do 10 Apr 2014 15:46:26 CEST, jordi wrote:
>
>>> Hi Jordi,
>>> (I am re-Cc:-ing #402 in our BTS, hope that's ok...)
>>>
>>>
>>> On  Do 10 Apr 2014 12:03:02 CEST, jordi wrote:
>>>
>>>>> Hi Jordi,
>>>>>
>>>>> On  Sa 05 Apr 2014 19:45:20 CEST, Jordi Marqués wrote:
>>>>>
>>>>>> Hello Mike, sorry for late answer.
>>>>>>
>>>>>> I have looked at it, so what you need is a simple bash script. I can
>>>>>> do that. Could I write it and send it to you?
>>>>>>
>>>>>> If so, I think I can do it on monday.
>>>>>>
>>>>>> Jordi.
>>>>>
>>>>> Sure, send it to me.
>>>>>
>>>>> Make sure that X2Go session startup does not break local session
>>>>> startup. So if you change something in pre-runcommand.d, make sure it
>>>>> gets restored in post-runcommand.d.
>>>>
>>>> Hello Mike,
>>>>
>>>> sorry again for being late, I've got more work than I can handle.
>>>>
>>>> Please take a look at this post-runcommand.d
>>>> http://paste.debian.net/92885/
>>>> and this pre-runcommand.d: http://paste.debian.net/92886/ .
>>>>
>>>> I write to files to save the state of the two settings previous to
>>>> being
>>>> modified so I can restore it. I set a folder variable where I save
>>>> those
>>>> files. Would that be a correct way to work inside X2go? I set them to
>>>> /tmp
>>>> to test, please modify them accordingly to what would be the best
>>>> value.
>>>>
>>>> Not directly related to this, I've played also with the
>>>> reduced_resources
>>>> variable, which set to true, disables completely windows animations,
>>>> and
>>>> makes window moving be done with a classic transparent line drawn box,
>>>> instead of the real window image. I've applied to my users, if you
>>>> find
>>>> it
>>>> interesting to try tell me to add it.
>>>
>>> The approach is good. I have copied both scripts from paste.debian.net
>>> to my local working copy of x2gomatebindings. Thanks!
>>>
>>> However, one thought:
>>>
>>> With your proposed approach, the dconf/gsettings setup remains
>>> X2Go'ish for the duration of the X2Go Session.
>>> It would be good, to make those settings and remove them immediately,
>>> after the session has successfully come up. I am not sure how MATE
>>> will behave if you launch the post-runcommand script 20 minutes after
>>> the session has come up.
>>>
>>> And another thought...
>>>
>>> Another approach actually is... Talking to MATE upstream and asking
>>> them to patch their code directly (i.e. ignore those settings / use
>>> pre-set value if MATE runs inside an X2Go session). I will talk to
>>> Stefano & co. about that (who is MATE upstream).
>>
>> I don't really know if these settings are session aware, but my
>> impression
>> is that those are global settings for a user. If they are not and I can
>> modify the script please let me know!
>
> My question is: if you run the pre-runcommand script just before
> session startup and then run the post-runcommand script right after
> session startup (not when the session is ended), are the settings then
> ok?

Yes right, these scripts should be run at session start and at session end.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#402; Package x2gomatebindings. (Fri, 11 Apr 2014 07:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 11 Apr 2014 07:00:02 GMT) Full text and rfc822 format available.

Message #58 received at 402@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: jordi@amospalla.es
Cc: 402@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#402: Bug#402: Numlock issues
Date: Fri, 11 Apr 2014 06:56:41 +0000
[Message part 1 (text/plain, inline)]
Hi Jordi,

On  Fr 11 Apr 2014 08:51:32 CEST, jordi wrote:

>> My question is: if you run the pre-runcommand script just before
>> session startup and then run the post-runcommand script right after
>> session startup (not when the session is ended), are the settings then
>> ok?
>
> Yes right, these scripts should be run at session start and at session end.

Maybe we are misunderstanding each other.

My intention is: change the config for a minute or so, launch the X2Go  
session and then immediately switch back to the saved values.

My question is:

  o launch X2Go session including the pre-runcommand script
  o Wait for the session to come up
  o MANUALLY launch the post-runcommand script

Does that break the numlock state in the X2Go session immediately? Or  
do the related applications remember the settings they had during  
session startup.

I don't want X2Go to "break" user profiles while X2Go sessions are  
running. It is tolerable to tweak configuration files for 20secs  
during session startup, but not for longer.

The alternative approach would be making MATE (upstream) aware of X2Go  
sessions (vs. local X11 sessions).

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#402; Package x2gomatebindings. (Fri, 11 Apr 2014 09:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to jordi@amospalla.es:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 11 Apr 2014 09:40:02 GMT) Full text and rfc822 format available.

Message #63 received at 402@bugs.x2go.org (full text, mbox):

From: jordi@amospalla.es
To: "Mike Gabriel" <mike.gabriel@das-netzwerkteam.de>
Cc: 402@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#402: Bug#402: Numlock issues
Date: Fri, 11 Apr 2014 11:39:44 +0200
Hi Mike,

> Hi Jordi,
>
> On  Fr 11 Apr 2014 08:51:32 CEST, jordi wrote:
>
>>> My question is: if you run the pre-runcommand script just before
>>> session startup and then run the post-runcommand script right after
>>> session startup (not when the session is ended), are the settings then
>>> ok?
>>
>> Yes right, these scripts should be run at session start and at session
>> end.
>
> Maybe we are misunderstanding each other.
>
> My intention is: change the config for a minute or so, launch the X2Go
> session and then immediately switch back to the saved values.
>
> My question is:
>
>    o launch X2Go session including the pre-runcommand script
>    o Wait for the session to come up
>    o MANUALLY launch the post-runcommand script
>
> Does that break the numlock state in the X2Go session immediately? Or
> do the related applications remember the settings they had during
> session startup.
>
> I don't want X2Go to "break" user profiles while X2Go sessions are
> running. It is tolerable to tweak configuration files for 20secs
> during session startup, but not for longer.
>
> The alternative approach would be making MATE (upstream) aware of X2Go
> sessions (vs. local X11 sessions).

Checked, these settings are global for the user, modifying them on a
session do alter another concurrent sessions, and gets saved for future
ones.

Jordi.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#402; Package x2gomatebindings. (Tue, 11 Nov 2014 12:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 11 Nov 2014 12:55:03 GMT) Full text and rfc822 format available.

Message #68 received at 402@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 402@bugs.x2go.org
Subject: Related issue in Ubuntu MATE...
Date: Tue, 11 Nov 2014 12:54:56 +0000
[Message part 1 (text/plain, inline)]
This issue (#402) is probably more a MATE upstream problem then an  
X2Go issue itself...


Ubuntu MATE:
https://bugs.launchpad.net/ubuntu-mate/+bug/1364111

MATE Upstream:
https://github.com/mate-desktop/mate-settings-daemon/issues/57


Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#402; Package x2gomatebindings. (Sun, 10 Jul 2016 06:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christopher Chavez <chrischavez@gmx.us>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 10 Jul 2016 06:35:01 GMT) Full text and rfc822 format available.

Message #73 received at 402@bugs.x2go.org (full text, mbox):

From: Christopher Chavez <chrischavez@gmx.us>
To: 402@bugs.x2go.org
Cc: jordi@amospalla.es, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Subject: Re: Related issue in Ubuntu MATE...
Date: Sun, 10 Jul 2016 00:26:37 -0600
I was one of the reporters of the numlock issue in
mate-settings-daemon; I agree that the symptoms describe here are due
to that issue. In Debian it has been resolved since
mate-settings-daemon 1.8.2-3 (released Mar 2015).

Christopher Chavez

On Tue, Nov 11, 2014 at 5:54 AM, Mike Gabriel
<mike.gabriel@das-netzwerkteam.de> wrote:
> This issue (#402) is probably more a MATE upstream problem then an X2Go
> issue itself...
>
>
> Ubuntu MATE:
> https://bugs.launchpad.net/ubuntu-mate/+bug/1364111
>
> MATE Upstream:
> https://github.com/mate-desktop/mate-settings-daemon/issues/57
>


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#402; Package x2gomatebindings. (Tue, 12 Jul 2016 04:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 12 Jul 2016 04:25:02 GMT) Full text and rfc822 format available.

Message #78 received at 402@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: chrischavez@gmx.us
Cc: 402@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#402: Related issue in Ubuntu MATE...
Date: Tue, 12 Jul 2016 04:19:53 +0000
Control: close -1

On Sun Jul 10 08:26:37 2016 GMT+0200, Christopher Chavez wrote:
> I was one of the reporters of the numlock issue in
> mate-settings-daemon; I agree that the symptoms describe here are due
> to that issue. In Debian it has been resolved since
> mate-settings-daemon 1.8.2-3 (released Mar 2015).
> 
> Christopher Chavez
>

Ok, closing this bug then.

Greets, Mike
 
> On Tue, Nov 11, 2014 at 5:54 AM, Mike Gabriel
> <mike.gabriel@das-netzwerkteam.de> wrote:
> > This issue (#402) is probably more a MATE upstream problem then an X2Go
> > issue itself...
> >
> >
> > Ubuntu MATE:
> > https://bugs.launchpad.net/ubuntu-mate/+bug/1364111
> >
> > MATE Upstream:
> > https://github.com/mate-desktop/mate-settings-daemon/issues/57
> >
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> http://lists.x2go.org/listinfo/x2go-dev
>

-- 
Sent from my Jolla

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 402-submit@bugs.x2go.org. (Tue, 12 Jul 2016 04:25:02 GMT) Full text and rfc822 format available.

Notification sent to jordi@amospalla.es:
Bug acknowledged by developer. (Tue, 12 Jul 2016 04:25:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 09 Aug 2016 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Oct 21 10:06:38 2017; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.